Bug 1290591 - [abrt] nautilus: strlen(): nautilus killed by SIGSEGV
[abrt] nautilus: strlen(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ee1d73ffb50b9132333e60de967...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 16:47 EST by rh
Modified: 2016-12-20 11:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.27 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: core_backtrace (6.55 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: dso_list (12.82 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: environ (850 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: exploitable (100 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: maps (60.79 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: open_fds (2.62 KB, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details
File: var_log_messages (303 bytes, text/plain)
2015-12-10 16:47 EST, rh
no flags Details

  None (edit)
Description rh 2015-12-10 16:47:04 EST
Description of problem:
1) Mount a WebDAV (https) directory with nautilus
2) Rename a folder in nautilus. The folder will be renamed remotely, but then nautilus crashes.

Version-Release number of selected component:
nautilus-3.18.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: strlen
executable:     /usr/bin/nautilus
global_pid:     3853
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:362
 #2 g_daemon_file_get_relative_path at gdaemonfile.c:393
 #3 nautilus_directory_moved_internal at nautilus-directory.c:1201
 #4 nautilus_directory_moved at nautilus-directory.c:1248
 #5 rename_get_info_callback at nautilus-file.c:1757
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #7 query_info_async_cb at gdaemonfile.c:962
 #8 g_task_return_now at gtask.c:1106
 #9 g_task_return at gtask.c:1164
Comment 1 rh 2015-12-10 16:47:09 EST
Created attachment 1104495 [details]
File: backtrace
Comment 2 rh 2015-12-10 16:47:11 EST
Created attachment 1104496 [details]
File: cgroup
Comment 3 rh 2015-12-10 16:47:13 EST
Created attachment 1104497 [details]
File: core_backtrace
Comment 4 rh 2015-12-10 16:47:16 EST
Created attachment 1104498 [details]
File: dso_list
Comment 5 rh 2015-12-10 16:47:17 EST
Created attachment 1104499 [details]
File: environ
Comment 6 rh 2015-12-10 16:47:20 EST
Created attachment 1104500 [details]
File: exploitable
Comment 7 rh 2015-12-10 16:47:22 EST
Created attachment 1104501 [details]
File: limits
Comment 8 rh 2015-12-10 16:47:28 EST
Created attachment 1104502 [details]
File: maps
Comment 9 rh 2015-12-10 16:47:30 EST
Created attachment 1104503 [details]
File: mountinfo
Comment 10 rh 2015-12-10 16:47:32 EST
Created attachment 1104504 [details]
File: namespaces
Comment 11 rh 2015-12-10 16:47:35 EST
Created attachment 1104505 [details]
File: open_fds
Comment 12 rh 2015-12-10 16:47:38 EST
Created attachment 1104506 [details]
File: proc_pid_status
Comment 13 rh 2015-12-10 16:47:39 EST
Created attachment 1104507 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:09:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:54:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.